import { BaseMarkupMode } from './base';
export declare class Markdown extends BaseMarkupMode {
    private _bold;
    private _italic;
    private _underline;
    private _strikethrough;
    private _mono;
    private _blockquote;
    private _link1;
    private _link2;
    private _link3;
    private _link4;
    private _list;
    private _h1;
    private _h2;
    private _h3;
    private _h4;
    private _h5;
    private _h6;
    private _h1block;
    private _h2block;
    private _hr;
    constructor(quill: any);
    highlightInline(): void;
    highlightBlock(): void;
    handleBold(): void;
    handleHeader(level: number): void;
    handleItalic(): void;
    handleStrikeThrough(): void;
    handleUnderline(): void;
}
